> For a complete page index of the Captain API documentation, fetch https://docs.filesearch.dev/llms.txt?excludeSpec=true

# Get Deal Bio

GET https://api.filesearch.dev/v2/datasets/odyssey/deals/{id}/bio

Get deal bio.

Returns comprehensive deal information including amount, type, date, and participants.

Reference: https://docs.filesearch.dev/reference/datasets/odyssey/deals/deals-bio

## Request

### Path parameters

- `id` (string, required) — Deal entity ID

## Response

### 200

Successful Response

- `deal_id` (string, required)
- `amount` (double, optional, nullable)
- `cached_at` (string, optional, nullable)
- `company_id` (string, optional, nullable)
- `company_name` (string, optional, nullable)
- `currency` (string, optional, nullable, default: USD)
- `data_sources` (list of string, optional)
- `deal_date` (string, optional, nullable)
- `deal_type` (string, optional, nullable)
- `description` (string, optional, nullable)
- `entity_type` (string, optional, default: deal)
- `lead_investors` (list of string, optional, nullable)
- `num_investors` (integer, optional, nullable)
- `status` (string, optional, nullable)

## Examples

**Response**

```json
{
  "deal_id": "deal_019ed21d-19c2-74a0-be49-98e8c9ea5358_fd_0",
  "amount": 10000000000,
  "cached_at": null,
  "company_id": "019ed21d-19c2-74a0-be49-98e8c9ea5358",
  "company_name": "OpenAI",
  "currency": "USD",
  "data_sources": [
    "enrichment"
  ],
  "deal_date": "2023-01-01",
  "deal_type": "Venture Round",
  "description": null,
  "entity_type": "deal",
  "lead_investors": null,
  "num_investors": 0,
  "status": "completed"
}
```

**SDK Code**

```python Python REST
import requests

BASE_URL = "https://api.filesearch.dev"
API_KEY = "your_api_key"

headers = {"Authorization": f"Bearer {API_KEY}"}

response = requests.get(
    f"{BASE_URL}/v2/datasets/odyssey/deals/deal_019ed21d-19c2-74a0-be49-98e8c9ea5358_fd_0/bio",
    headers=headers,
    timeout=60.0
)
print(response.json())
```

```typescript TypeScript REST
const BASE_URL = "https://api.filesearch.dev";
const API_KEY = "your_api_key";

const response = await fetch(`${BASE_URL}/v2/datasets/odyssey/deals/deal_019ed21d-19c2-74a0-be49-98e8c9ea5358_fd_0/bio`, {
    method: "GET",
    headers: { "Authorization": `Bearer ${API_KEY}` }
});
console.log(await response.json());
```